Debian Bug report logs - #533556
live-magic: error building image: TypeError: envv must be a sequence or a dictionary

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Jor <jor123@gmail.com>

Date: Thu, 18 Jun 2009 17:45:02 UTC

Severity: grave

Found in version live-magic/1.6

Fixed in version live-magic/1.7

Done: Chris Lamb <lamby@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jor123@gmail.com, Debian Live <debian-live@lists.debian.org>:
Bug#533556; Package live-magic. (Thu, 18 Jun 2009 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jor <jor123@gmail.com>:
New Bug report received and forwarded. Copy sent to jor123@gmail.com, Debian Live <debian-live@lists.debian.org>. (Thu, 18 Jun 2009 17:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jor <jor123@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-magic: error building image: TypeError: envv must be a sequence or a dictionary
Date: Thu, 18 Jun 2009 19:42:49 +0200
Package: live-magic
Version: 1.6
Severity: grave
Justification: renders package unusable

When trying live-magic on Debian Unstable I get an error in the last step of the wizard.
It tries to fork the 'live-magic-builder' process with vte. It then exits with:

Traceback (most recent call last):
  File "/usr/bin/live-magic", line 26, in <module>
    LiveMagic(sys.argv[1:])
  File "/usr/lib/pymodules/python2.5/LiveMagic/__init__.py", line 77, in __init__
    c.ready(options, args)
  File "/usr/lib/pymodules/python2.5/LiveMagic/controllers/main.py", line 32, in ready
    self.do_show_build_window(lambda: gtk.main_quit())
  File "/usr/lib/pymodules/python2.5/LiveMagic/controllers/build.py", line 56, in do_show_build_window
    self.pid = self.view.vte_terminal.fork_command(cmd[0], cmd, None, os.getcwd())
TypeError: envv must be a sequence or a dictionary


Looks like a change in python-vte caused this (http://git.gnome.org/cgit/vte/commit/?id=56727a20b71cd5f960e468444ef544296ddc5edf),
so maybe this bug should be reassigned and fixed there....

But I worked around it with a tiny change in live-magic python code:

diff --git a/LiveMagic/controllers/build.py b/LiveMagic/controllers/build.py
index 211d10f..dc08447 100644
--- a/LiveMagic/controllers/build.py
+++ b/LiveMagic/controllers/build.py
@@ -53,7 +53,7 @@ class BuildController(object):
 
         # Fork command
         cmd = [find_resource('live-magic-builder')]
-        self.pid = self.view.vte_terminal.fork_command(cmd[0], cmd, None, os.getcwd())
+       self.pid = self.view.vte_terminal.fork_command(cmd[0], cmd, [], os.getcwd())
 
         if self.pid < 0:
             self.view.set_build_titles(_("Error creating Debian Live system!"), \
@@ -70,7 +70,7 @@ class BuildController(object):
         def _exec(*cmds):
             glue = ' | tee -a %s ;' % LOG_FILE
             args = ['/bin/sh', '-c', glue.join(cmds)]
-            self.view.vte_terminal.fork_command(args[0], args, None, os.getcwd())
+            self.view.vte_terminal.fork_command(args[0], args, [], os.getcwd())
 
         def set_cleaning_status():
             try:
-- 


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29.3 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-magic depends on:
ii  gksu                          2.0.2-2+b1 graphical frontend to su
ii  live-helper                   1.0.5-1    Debian Live build scripts
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-glade2                 2.14.1-3   GTK+ bindings: Glade support
ii  python-gtk2                   2.14.1-3   Python bindings for the GTK+ widge
ii  python-support                1.0.3      automated rebuilding support for P
ii  python-vte                    1:0.20.5-1 Python bindings for the VTE widget
ii  xdg-utils                     1.0.2-6.1  desktop integration utilities from

Versions of packages live-magic recommends:
ii  cdebootstrap                  0.5.5      Bootstrap a Debian system

live-magic suggests no packages.

-- no debconf information




Reply sent to Chris Lamb <lamby@debian.org>:
You have taken responsibility. (Thu, 09 Jul 2009 00:24:03 GMT) Full text and rfc822 format available.

Notification sent to Jor <jor123@gmail.com>:
Bug acknowledged by developer. (Thu, 09 Jul 2009 00:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 533556-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 533556-close@bugs.debian.org
Subject: Bug#533556: fixed in live-magic 1.7
Date: Thu, 09 Jul 2009 00:02:04 +0000
Source: live-magic
Source-Version: 1.7

We believe that the bug you reported is fixed in the latest version of
live-magic, which is due to be installed in the Debian FTP archive:

live-magic_1.7.dsc
  to pool/main/l/live-magic/live-magic_1.7.dsc
live-magic_1.7.tar.gz
  to pool/main/l/live-magic/live-magic_1.7.tar.gz
live-magic_1.7_all.deb
  to pool/main/l/live-magic/live-magic_1.7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533556@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <lamby@debian.org> (supplier of updated live-magic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Jul 2009 00:55:35 +0100
Source: live-magic
Binary: live-magic
Architecture: source all
Version: 1.7
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Chris Lamb <lamby@debian.org>
Description: 
 live-magic - GUI frontend to create Debian LiveCDs, netboot images, etc.
Closes: 533556
Changes: 
 live-magic (1.7) unstable; urgency=low
 .
   * Only delete build directory if we created it. This is not only safer, but
     fixes a weird bug where Live Magic deletes its own DebianLive Python module
     when run from Git (as that directory is considered a build directory).
   * Add missing import so we don't fail with a misleading error when GTK fails
     to initialise.
   * Revert back to using --preserve-env after reverting this in #491242. This
     seems a more robust way of ensuring that the child process can actually
     talk to X. We set the path manually in live-magic-builder to prevent the
     actual failure originally reported in #491242.
   * Update vte form_command calls to new API. Thanks to Jor <jor123@gmail.com>.
     (Closes: #533556)
   * Add support for squeeze and update "stable -> etch" in user interface and
     translations.
   * Bump Standards-Version to 3.8.2.
   * Bump Depends on live-helper to 1.0.5.
Checksums-Sha1: 
 dc9bf7c744a363bf68030ba6753f8d7ffd766c68 1016 live-magic_1.7.dsc
 9796b651992e7ac516d8c5d85212c32b9900a036 78662 live-magic_1.7.tar.gz
 01589eaa95b3f02da76911da5c69286913931f0e 62724 live-magic_1.7_all.deb
Checksums-Sha256: 
 b95143359910f028a5213d5c422a598b79974b438e6f89d41c2061fd8be308ad 1016 live-magic_1.7.dsc
 6ac2a682bec6e8bb18d3306ea096cfe16647e4a8dbbf70c71638d2d4a1342b71 78662 live-magic_1.7.tar.gz
 0f1b918beddaffcbe573c0d36b4c6360fe17eab97c3918765f9b7ff1eb3ef060 62724 live-magic_1.7_all.deb
Files: 
 b348e5a8d5166dce4d6886ede76c1d8e 1016 misc optional live-magic_1.7.dsc
 d4d89b41a83649d96b9e5d3005a513df 78662 misc optional live-magic_1.7.tar.gz
 1475d2e89fd94f438e7f81b53bffa57c 62724 misc optional live-magic_1.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpVMk4ACgkQ5/8uW2NPmiCXyQCeJIzFHGmu//iPOfeVfcMgP9YC
2e8AoJn36B68J5lQ00M9wta7Y39kp9R6
=B36v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Aug 2009 07:33:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:56:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.